/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../../styles/plateg-variables.less';

.emails-search-holder {
  .ant-form-item {
    margin-bottom: 0;
  }
  .ant-form-item-label {
    padding: 0;
  }
  .hint {
    display: block;
    margin-bottom: 8px;
    padding-left: 0;
  }
  .search-field {
    margin-bottom: 20px;
    .ant-input-wrapper {
      .ant-input {
        line-height: 40px;
        padding: 3px 11px;
        border: 0;
        background: transparent;
        font-size: 1.8rem;
        &:hover,
        &:focus {
          box-shadow: none;
        }
        &::placeholder {
          color: @platform-text-color;
          font-size: 1.8rem;
        }
      }
      .ant-input-affix-wrapper {
        border: 1px solid @platform-blue2;
        padding: 0;
        border-radius: 3px;
        &:hover,
        &.ant-input-affix-wrapper-focused {
          border-color: @platform-blue2;
          box-shadow: inset 0px 0px 0px 1px @platform-blue2;
        }
      }
      button {
        height: 48px;
        &.ant-btn-primary {
          background: @platform-blue1;
          border-radius: 0 3px 3px 0 !important;
          &:hover,
          &:focus {
            background: @platform-text-color;
          }
        }
      }
      .btn-clear {
        height: 17px;
        color: @platform-text-color;
        span {
          text-decoration: underline;
        }
        &.hidden {
          display: none;
        }
        &:hover {
          background-color: black;
          &::after {
            color: white;
          }
        }
      }
    }
  }
  .search-loader {
    text-align: center;
    &:after {
      display: block;
      content: '';
      margin-bottom: 10px;
    }
  }
}

.suggestions-holder {
  .title {
    font-size: 1.6rem;
    font-weight: 500;
    margin: 0 0 20px;
    display: block;
  }
  .suggestions-list {
    margin: 0;
    padding: 7px 0;
    list-style: none;
    font-size: 1.6rem;
    line-height: 20px;
    li {
      width: 100%;
      overflow: hidden;
      padding: 7px 0;
      & > .name {
        svg {
          vertical-align: top;
          margin: 2px 5px 0 0;
        }
      }

      .btns-holder {
        float: right;
        font-size: 1.4rem;
      }
      .ant-btn {
        font-size: 1.4rem;
        line-height: 20px;
        font-weight: 500;
        color: @platform-text-color;
        &:hover {
          background: @platform-text-color;
        }
        span {
          text-decoration: underline;
        }
      }
      .owner,
      .already-added {
        float: right;
      }
      .users-list-collapse {
        font-size: 1.6rem;
        .ant-collapse-item {
          .ant-collapse-header {
            padding: 0;

            .ant-collapse-header-text {
              font-weight: 500;
            }
            .ant-collapse-expand-icon {
              width: 21px;
              height: 21px;
              margin: 3px 8px 0 2px;
              padding: 5px;
              svg {
                transform: rotate(-90deg);
              }
            }
            &:focus {
              .ant-collapse-expand-icon {
                outline: 1px dotted #000;
                background: #000;
                svg {
                  color: #fff;
                }
              }
            }
            .list-title-outdated {
              display: inline-block;
              padding-left: 20px;
              svg {
                margin: 4px 0 0 -25px;
                float: left;
              }
            }
          }
          &.ant-collapse-item-active {
            & > .ant-collapse-header {
              & > .ant-collapse-expand-icon {
                & > svg {
                  transform: rotate(0);
                }
              }
            }
          }
          .ant-collapse-content-box {
            padding: 0;
            .actualize-hint-holder {
              margin: 0 0 0 32px;
              button {
                margin-left: 5px;
                color: @platform-blue1;
                float: none;
                span {
                  text-decoration: underline;
                }
                &:hover {
                  span {
                    text-decoration: none;
                  }
                }
              }
            }
            ul,
            .no-match-holder {
              padding: 5px 0 0 32px;
            }
            .no-match-holder {
              .ant-btn {
                float: right;
              }
            }
          }
        }
      }
      .view-more-holder {
        padding: 15px 0 0 32px;
        span {
          font-weight: 500;
        }
        .ant-btn {
          float: none;
          margin-left: 15px;
        }
      }
    }
  }
}
.emails-list-popover-content,
.emails-list-popover-title {
  font-size: 1.6rem;
  max-width: 356px;
}
.emails-list-popover-title {
  font-weight: 500;
  svg {
    vertical-align: top;
    margin: 3px 5px 0 0;
  }
}
.selected-addresses-label {
  font-size: 1.8rem;
  font-weight: 500;
  line-height: 2.6rem;
}
